'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Select = function Select() {
  var styles = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];
  return function (_ref) {
    var _anotherClass;

    var className = _ref.className;
    var options = _ref.options;
    var block = _ref.block;
    var kind = _ref.kind;
    var ranged = _ref.ranged;
    var placeholder = _ref.placeholder;

    var rest = _objectWithoutProperties(_ref, ['className', 'options', 'block', 'kind', 'ranged', 'placeholder']);

    var blockClass = _defineProperty({}, styles.block, !!block);

    var anotherClass = (_anotherClass = {}, _defineProperty(_anotherClass, styles[kind], !!kind), _defineProperty(_anotherClass, styles.ranged, !!ranged), _anotherClass);

    return _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)(styles.selectWrapper, blockClass) },
      _react2.default.createElement(
        'select',
        _extends({}, rest, { defaultValue: 'null', className: (0, _classnames2.default)(styles.formControl, styles.select, anotherClass, className) }),
        _react2.default.createElement(
          'option',
          { value: 'null', className: styles.selectPlaceholder },
          placeholder
        ),
        options.map(function (option, index) {
          return _react2.default.createElement(
            'option',
            { key: index, value: option.value },
            option.label
          );
        })
      )
    );
  };
};

exports.default = Select;